"use strict";

this.name        = "mo_ad_service"; 
this.author      = "spara";
this.description = "Pooling ad service";

this.$horzAdsN = 379;
this.$commiesHorzAdsN = 12;

this.startUp = function() {
	//Pools are divided to two parts to prevent the same ad to be seen in a quick succession. Pools are split into two parts and a primary part is randomly selected. When the active part is emptied, then the secondary part is used. When that is emptied too, pool is initialized and we draw from the primary part again.
	
	this._initHorzPool();
	this.$horzPrimary = Math.round(Math.random());
	
}

this._initHorzPool = function() {
	this.$horzPool = [new Array(), new Array()];
	var half = Math.round(this.$horzAdsN / 2);
	for (var i = 1; i < half; i++) {
		this.$horzPool[0].push("mo_ad_horz_" + i + ".png");
	};
	for (var i = half; i <= this.$horzAdsN; i++) {
		this.$horzPool[1].push("mo_ad_horz_" + i + ".png");
	};
}

//public function that returns a random horizontal ad filename from the pool
this._getHorizontalAd = function() {
	if (this.$horzPool[this.$horzPrimary].length === 0) {
		this.$horzPrimary = (this.$horzPrimary + 1) % 2;
		if (this.$horzPool[this.$horzPrimary].length === 0) {
			this._initHorzPool();
		};
	};
	var adNum = Math.floor(Math.random() * this.$horzPool[this.$horzPrimary].length);
	return this.$horzPool[this.$horzPrimary].splice(adNum, 1)[0];
}
